#!/bin/bash
#
# Copyright (C) Mellanox Technologies, Ltd. 2008-2015 ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Mellanox Technologies, Ltd.
# (the "Company") and all right, title, and interest in and to the software product,
# including all associated intellectual property rights, are and shall
# remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
#
FILENAME=pgrep_output.txt

ssh -f root@$1 "testx_server $2" > /dev/null 2>&1
#log=$?

ssh root@$1 "pgrep testx_server &" > $FILENAME
ret=$(stat -c%s "$FILENAME")

if [ "x$ret" == "x0" ]; then
echo "ERROR - $log"
rm -f pgrep_output.txt
exit 1
fi

if [ "x$ret" != "x0" ]; then
mkdir -p ~/.testx
echo "TestX Server is UP"
printf "http://$1:$2" > ~/.testx/server_config.txt
rm -f pgrep_output.txt
exit 0
fi
