#!/bin/bash
#
# Copyright (C) Mellanox Technologies, Ltd. 2008-2015 ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Mellanox Technologies, Ltd.
# (the "Company") and all right, title, and interest in and to the software product,
# including all associated intellectual property rights, are and shall
# remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
#

mkdir -p /tmp/.testx || { echo "Failed to create /tmp/.testx directory."; exit 1; }
echo "http://$1:$2" > /tmp/.testx/server_config.txt

testx_server $2 > /dev/null 2>&1 &

sleep 1 

pidof testx_server > /dev/null
ret=$?

if [ "x$ret" != "x0" ]; then
echo "ERROR - SwitchX-SDK connection FAILED"
echo "" > /tmp/.testx/server_config.txt
exit 1
fi

echo "Connected successfully to SwitchX-SDK"
exit 0
